Bug 424031 - logwatch ignores dovecot 1.0 log entries
logwatch ignores dovecot 1.0 log entries
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: logwatch (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 15:09 EST by Gilles Detillieux
Modified: 2013-04-12 15:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-13 07:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to backport logwatch's dovecot script and conf files from FC9 dev. to RHEL 5 (6.96 KB, patch)
2007-12-13 15:09 EST, Gilles Detillieux
no flags Details | Diff
patch to make logwatch 7.3.6's dovecot script recognize Dovecot startup with version number (691 bytes, patch)
2007-12-13 15:21 EST, Gilles Detillieux
no flags Details | Diff

  None (edit)
Description Gilles Detillieux 2007-12-13 15:09:00 EST
Description of problem:
The default.conf and script files for service/dovecot in logwatch-7.3 haven't
been updated to support the log entries generated by dovecot 1.0, which is the
IMAP/POP server included in RHEL 5.  As a result, logwatch summaries don't show
any IMAP/POP traffic, ignoring all of dovecot's log entries.


Version-Release number of selected component (if applicable):
7.3-5


How reproducible:
Always


Steps to Reproduce:
1. Set up and start dovecot service on RHEL 5.
2. Login to service using POP or IMAP.
3. logwatch --range All --service dovecot --detail 10 --print
  
Actual results:
Nothing.


Expected results:
Summary of Dovecot IMAP and POP3 connections.


Additional info:
This problem is fixed (mostly) in logwatch-7.3.6 in Fedora 9 development.  The
fix for RHEL 5 would be either to upgrade entirely to logwatch 7.3.6, or to
backport the script and conf file changes for dovecot.
Comment 1 Gilles Detillieux 2007-12-13 15:09:00 EST
Created attachment 287891 [details]
patch to backport logwatch's dovecot script and conf files from FC9 dev. to RHEL 5
Comment 2 Gilles Detillieux 2007-12-13 15:21:01 EST
Created attachment 287921 [details]
patch to make logwatch 7.3.6's dovecot script recognize Dovecot startup with version number

This small additional patch is needed to get logwatch, even with the dovecot
fixes from 7.3.6, to recognize the "Dovecot starting up" log entries which now
include a version number.
Comment 9 errata-xmlrpc 2010-01-13 07:19:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0033.html

Note You need to log in before you can comment on or make changes to this bug.